Validate QR Code
curl --request POST \
--url https://test-api.pasca.co/api/v1/einvoice/qr-code/validate \
--header 'API-KEY: <api-key>' \
--header 'API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"code": "...."
}'import requests
url = "https://test-api.pasca.co/api/v1/einvoice/qr-code/validate"
payload = { "code": "...." }
headers = {
"API-KEY": "<api-key>",
"API-SECRET": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-KEY': '<api-key>',
'API-SECRET': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '....'})
};
fetch('https://test-api.pasca.co/api/v1/einvoice/qr-code/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": false,
"code": 400,
"message": "Failed to validate invoice",
"data": null,
"error": {
"id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
"handler": "invoice_actions",
"details": "this business does not exist",
"public_message": "validation failed"
},
"timestamp": "2025-12-23T14:54:12.477393Z"
}{
"status": false,
"code": 401,
"message": "Unauthorized",
"data": null,
"error": {
"details": "invalid or missing API credentials"
}
}IRN and QR
Validate QR Code
POST /api/v1/einvoice/qr-code/validate
POST
/
api
/
v1
/
einvoice
/
qr-code
/
validate
Validate QR Code
curl --request POST \
--url https://test-api.pasca.co/api/v1/einvoice/qr-code/validate \
--header 'API-KEY: <api-key>' \
--header 'API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"code": "...."
}'import requests
url = "https://test-api.pasca.co/api/v1/einvoice/qr-code/validate"
payload = { "code": "...." }
headers = {
"API-KEY": "<api-key>",
"API-SECRET": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-KEY': '<api-key>',
'API-SECRET': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '....'})
};
fetch('https://test-api.pasca.co/api/v1/einvoice/qr-code/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": false,
"code": 400,
"message": "Failed to validate invoice",
"data": null,
"error": {
"id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
"handler": "invoice_actions",
"details": "this business does not exist",
"public_message": "validation failed"
},
"timestamp": "2025-12-23T14:54:12.477393Z"
}{
"status": false,
"code": 401,
"message": "Unauthorized",
"data": null,
"error": {
"details": "invalid or missing API credentials"
}
}POST
Request body:
401
/api/v1/einvoice/qr-code/validate
Request example
curl -X POST "{{BASE_URL}}/api/v1/einvoice/qr-code/validate" \
-H "API-KEY: <your_api_key>" \
-H "API-SECRET: <your_api_secret>" \
-H "Accept: application/json"
{
"code": "...."
}
Response examples
200 No example provided for this response. 400{
"status": false,
"code": 400,
"message": "Failed to validate invoice",
"data": null,
"error": {
"id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
"handler": "invoice_actions",
"details": "this business does not exist",
"public_message": "validation failed"
},
"timestamp": "2025-12-23T14:54:12.477393Z"
}
{
"status": false,
"code": 401,
"message": "Unauthorized",
"data": null,
"error": {
"details": "invalid or missing API credentials"
}
}
⌘I